Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Serenity-js NPM audit fails #364

Closed
abhinaba-ghosh opened this issue Oct 29, 2019 · 1 comment
Closed

Serenity-js NPM audit fails #364

abhinaba-ghosh opened this issue Oct 29, 2019 · 1 comment

Comments

@abhinaba-ghosh
Copy link

abhinaba-ghosh commented Oct 29, 2019

Hi Jan,

I am using:

"@serenity-js/core": "1.5.4",
"@serenity-js/cucumber": "1.0.0",
"@serenity-js/rest": "1.1.1",

It causes some severe npm audit failure. Please provide a patch for the fix:

  Low             Prototype Pollution                                           
                                                                                
  Package         lodash                                                        
                                                                                
  Patched in      >=4.17.5                                                      
                                                                                
  Dependency of   @serenity-js/core                                             
                                                                                
  Path            @serenity-js/core > lodash                                    
                                                                                
  More info       https://nodesecurity.io/advisories/577                        
                                                                                
                                                                                
  Low             Prototype Pollution                                           
                                                                                
  Package         lodash                                                        
                                                                                
  Patched in      >=4.17.5                                                      
                                                                                
  Dependency of   @serenity-js/cucumber                                         
                                                                                
  Path            @serenity-js/cucumber > @serenity-js/core > lodash            
                                                                                
  More info       https://nodesecurity.io/advisories/577                        
                                                                                
                                                                                
  High            Prototype Pollution                                           
                                                                                
  Package         lodash                                                        
                                                                                
  Patched in      >=4.17.11                                                     
                                                                                
  Dependency of   @serenity-js/core                                             
                                                                                
  Path            @serenity-js/core > lodash                                    
                                                                                
  More info       https://nodesecurity.io/advisories/782                        
                                                                                
                                                                                
  High            Prototype Pollution                                           
                                                                                
  Package         lodash                                                        
                                                                                
  Patched in      >=4.17.11                                                     
                                                                                
  Dependency of   @serenity-js/cucumber                                         
                                                                                
  Path            @serenity-js/cucumber > @serenity-js/core > lodash            
                                                                                
  More info       https://nodesecurity.io/advisories/782                        
                                                                                
                                                                                
  High            Prototype Pollution                                           
                                                                                
  Package         lodash                                                        
                                                                                
  Patched in      >=4.17.12                                                     
                                                                                
  Dependency of   @serenity-js/core                                             
                                                                                
  Path            @serenity-js/core > lodash                                    
                                                                                
  More info       https://nodesecurity.io/advisories/1065                       
                                                                                
                                                                                
  High            Prototype Pollution                                           
                                                                                
  Package         lodash                                                        
                                                                                
  Patched in      >=4.17.12                                                     
                                                                                
  Dependency of   @serenity-js/cucumber                                         
                                                                                
  Path            @serenity-js/cucumber > @serenity-js/core > lodash            
                                                                                
  More info       https://nodesecurity.io/advisories/1065  

@abhinaba-ghosh
Copy link
Author

abhinaba-ghosh commented Oct 30, 2019

@jan,

will the fix available in the serenity-js 1 version? It will be a grt help.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

No branches or pull requests

1 participant